curl --request GET \
--url https://api.casparser.in/v4/inbound-email/{inbound_email_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.casparser.in/v4/inbound-email/{inbound_email_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.casparser.in/v4/inbound-email/{inbound_email_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inbound_email_id": "ie_a1b2c3d4e5f6",
"email": "ie_a1b2c3d4e5f6@import.casparser.in",
"reference": "user_12345",
"callback_url": "https://api.yourapp.com/webhooks/cas-email",
"allowed_sources": [
"cdsl",
"nsdl"
],
"status": "active",
"metadata": {
"plan": "premium"
},
"created_at": "2025-02-21T10:30:00Z",
"updated_at": "2025-02-21T10:30:00Z"
}{
"status": "failed",
"msg": "Authentication failed: API key is missing. Please provide a valid API key in the x-api-key header."
}{
"status": "failed",
"msg": "Invalid PDF file or password."
}Get Inbound Email Details
Retrieve details of a specific inbound email including statistics.
Authorizations
Your API key for authentication.
Use sandbox-with-json-responses as Sandbox key.
Path Parameters
Inbound Email ID
Response
Inbound email details
An inbound email address for receiving forwarded CAS emails
Unique inbound email identifier
"ie_a1b2c3d4e5f6"
The inbound email address to forward CAS statements to
"ie_a1b2c3d4e5f6@import.casparser.in"
Your internal reference identifier
"user_12345"
Webhook URL for email notifications. If set, we POST each parsed
email here. If omitted, files are only retrievable via
GET /v4/inbound-email/{id}/files.
"https://api.yourapp.com/webhooks/cas-email"
Accepted CAS providers (empty = all)
cdsl, nsdl, cams, kfintech ["cdsl", "nsdl"]
Current inbound email lifecycle status
active, paused "active"
Custom key-value metadata
Show child attributes
Show child attributes
{ "plan": "premium" }
When the inbound email was created
"2025-02-21T10:30:00Z"
When the inbound email was last updated
"2025-02-21T10:30:00Z"
Was this page helpful?

